# Moderation Commands

/// admonition | These commands are slash commands.
    type: warning
Please make sure to enable them with [`[p]slash enable <command>`](https://docs.discord.red/en/stable/cog_guides/core.html#slash-enable), then sync them with [`[p]slash sync`](https://docs.discord.red/en/stable/cog_guides/core.html#slash-sync).
///

## note

- Usage: `/note <target> <reason> [silent]`
- `target:` (Required) Who are you noting?
- `reason:` (Required) Why are you noting this user?
- `silent:` (Optional) Should the user be messaged?

Add a note to a user.

## warn

- Usage: `/warn <target> <reason> [silent]`
- `target:` (Required) Who are you warning?
- `reason:` (Required) Why are you warning this user?
- `silent:` (Optional) Should the user be messaged?

Warn a user.

## blacklist

/// admonition | This command is unfinished, and doesn't currently work.
    type: warning
///

- Usage: `/blacklist <target> <role> <reason> [silent]`
- `target:` (Required) Who are you blacklisting?
- `role:` (Required) What blacklist type are you applying to the target?
- `reason:` (Required) Why are you blacklisting this user?
- `silent:` (Optional) Should the user be messaged?

Add a blacklist role to a user.

## mute

- Usage: `/mute <target> <duration> <reason> [silent]`
- `target:` (Required) Who are you unbanning?
- `duration:` (Required) How long are you muting this user for?
- `reason:` (Required) Why are you unbanning this user?
- `silent:` (Optional) Should the user be messaged?

Mute a user.

## unmute

- Usage: `/unmute <target> [reason] [silent]`
- `target:` (Required) Who are you unmuting?
- `reason:` (Optional) Why are you unmuting this user?
- `silent:` (Optional) Should the user be messaged?

Unmute a user.

## kick

- Usage: `/kick <target> <reason> [silent]`
- `target:` (Required) Who are you kicking?
- `reason:` (Required) Why are you kicking this user?
- `silent:` (Optional) Should the user be messaged?

Kick a user.

## ban

- Usage: `/ban <target> <reason> [duration] [delete_messages] [silent]`
- `target:` (Required) Who are you banning?
- `reason:` (Required) Why are you banning this user?
- `duration:` (Optional) How long are you banning this user for?
- `delete_messages:` (Optional) How many days of messages to delete?
- `silent:` (Optional) Should the user be messaged?

Ban a user.

## unban

- Usage: `/unban <target> [reason] [silent]`
- `target:` (Required) Who are you unbanning?
- `reason:` (Optional) Why are you unbanning this user?
- `silent:` (Optional) Should the user be messaged?

Unban a user.
